rules:
  - id: rule1
    category: general
    title: Generic Rule
    severity: HIGH
    regex: (?i)(?P<key>(secret))(=|:).{0,5}['"](?P<secret>[0-9a-zA-Z\-_=]{8,64})['"]
    secret-group-name: secret
exclude-block:
  description: exclude blocks
  regexes:
    - --- ignore block start ---(.|\s)*--- ignore block stop ---
disable-allow-rules:
  - tests